> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return a specific item in a service's history



## OpenAPI

````yaml /api-reference/4.2/service-history.json get /history/{service}/items/{item}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service history
servers:
  - url: /api/apollo/
security: []
tags:
  - name: history
paths:
  /history/{service}/items/{item}:
    get:
      tags:
        - 4.2 History API
      summary: Return a specific item in a service's history
      operationId: getItemHistory
      parameters:
        - name: service
          in: path
          description: The name of a service
          required: true
          schema:
            type: string
        - name: item
          in: path
          description: The name of a history item
          required: true
          schema:
            type: string
        - name: timeRange
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          schema:
            type: string
        - name: maxLength
          in: query
          description: NEEDS DEVELOPER REVIEW
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/History'
components:
  schemas:
    History:
      type: object
      properties:
        events:
          type: array
          readOnly: true
          items:
            $ref: '#/components/schemas/HistoryEvent'
    HistoryEvent:
      type: object
      properties:
        start:
          type: string
          format: date-time
        end:
          type: string
          format: date-time
        source:
          type: string
        type:
          type: string
        status:
          type: string
        details:
          type: object
          additionalProperties:
            type: object
        error:
          $ref: '#/components/schemas/RESTError'
    RESTError:
      type: object
      discriminator:
        propertyName: type
      properties:
        httpStatusCode:
          type: integer
          format: int32
          readOnly: true
        error:
          type: string
          readOnly: true
        message:
          type: string
          readOnly: true
        details:
          type: string
          readOnly: true
        cause:
          $ref: '#/components/schemas/Throwable'
        stackTrace:
          type: array
          items:
            $ref: '#/components/schemas/StackTraceElement'
        localizedMessage:
          type: string
        suppressed:
          type: array
          items:
            $ref: '#/components/schemas/Throwable'
        httpStatusMessage:
          type: string
          readOnly: true
        class:
          type: string
          readOnly: true
        requestId:
          type: string
          readOnly: true
    Throwable:
      type: object
      properties:
        cause:
          $ref: '#/components/schemas/Throwable'
        stackTrace:
          type: array
          items:
            $ref: '#/components/schemas/StackTraceElement'
        message:
          type: string
        localizedMessage:
          type: string
        suppressed:
          type: array
          items:
            $ref: '#/components/schemas/Throwable'
    StackTraceElement:
      type: object
      properties:
        methodName:
          type: string
        fileName:
          type: string
        lineNumber:
          type: integer
          format: int32
        className:
          type: string
        nativeMethod:
          type: boolean
          default: false

````